repo/gentoo:master commit in: dev-util/fj-cli/

Arsen Arsenović <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786106727.5c8dd62836bbdcf21d3238c36afad2cfa84cbaea.arsen@gentoo>
commit:     5c8dd62836bbdcf21d3238c36afad2cfa84cbaea
Author:     Ceres <ceres <AT> ceressees <DOT> dev>
AuthorDate: Tue Jul 28 16:12:25 2026 +0000
Commit:     Arsen Arsenović <arsen <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 12:45:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c8dd628

dev-util/fj-cli: add 0.6.0

Signed-off-by: Ceres <ceres <AT> ceressees.dev>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1555
Merges: https://codeberg.org/gentoo/gentoo/pulls/1555
Signed-off-by: Arsen Arsenović <arsen <AT> gentoo.org>

 dev-util/fj-cli/Manifest            |  2 ++
 dev-util/fj-cli/fj-cli-0.6.0.ebuild | 46 +++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-util/fj-cli/Manifest b/dev-util/fj-cli/Manifest
index 409e91c92447..674ee24b02b0 100644
--- a/dev-util/fj-cli/Manifest
+++ b/dev-util/fj-cli/Manifest
@@ -1,2 +1,4 @@
 DIST fj-cli-0.5.0.tar.gz 105814 BLAKE2B 4d0ed9b6e521c7e3d716ebddab2d90b345128a64380f10e4c59047392d2c7b8d4decaffc5b0b6f793f8fbef3f92ef059f86492bfc909f8935260364e164142cc SHA512 54e43b62d0f6ec40543cc06133d06590ba3de409abb4bb595f0e3bd0dd60803e868687d73b5066bf6c06078397811913da52d9c0e13b18d793645b6268ec582d
+DIST fj-cli-0.6.0.tar.gz 164486 BLAKE2B b7620d205f47d527ee7d55bca32205c8fccd97a7aec7006d8282fa6a0407b8c4281b1d7ce7b23a9b252542223e6adabee9047c0fdbb5564e41eca06a15b3a6f5 SHA512 fdd1f0a45cb45216712cea32da1176454393404295136a9d47ec389f6bba0ef8552f5e4c2039b6b0d53c8d0f361ac10402294e3a1de854a7b4a47ac665d5bc5d
 DIST forgejo-cli-0.5.0-crates.tar.xz 21951744 BLAKE2B d8e99ca7994156d662eca21eeb94c52b52c01fa1f23d6d212ca2f7bff31b8774964c0272947e01db9ec11a0aad5f6ce0bbf0881fceb03e2bc85ddf7eff6e3221 SHA512 bcfa1357c9e7595e5fa6e5478fbbc5bd5d8738ed619456141167aea025a1de5fe8a2b74ceb833d1a2ba02a12639c377de3a5366dc4468c2bef091092ea0f1fda
+DIST forgejo-cli-0.6.0-crates.tar.xz 28634124 BLAKE2B 9554ee8c2df5629a2ba25c298ea3d878e1f7c84f4dcaeae047131cdcddb01b904fc781f15720ee4698ffe979060ec3d4f596ae686c3d2f3447cf9f3cfbb85f1c SHA512 22197917a566396d2e6407178e6a068d990143ea31b1d78f5f451ab6720dea3ecb24dda4d73f8655c11d1d5cc64c90de9022d4940ff7141b4e3f2408718e1d7c

diff --git a/dev-util/fj-cli/fj-cli-0.6.0.ebuild b/dev-util/fj-cli/fj-cli-0.6.0.ebuild
new file mode 100644
index 000000000000..e96e7bbc379b
--- /dev/null
+++ b/dev-util/fj-cli/fj-cli-0.6.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.15.1
+
+EAPI=8
+
+RUST_MIN_VER="1.88.0"
+CRATES=" "
+
+inherit cargo edo shell-completion toolchain-funcs
+
+DESCRIPTION="CLI tool for Forgejo"
+HOMEPAGE="https://codeberg.org/forgejo-contrib/forgejo-cli"
+SRC_URI="
+	https://codeberg.org/forgejo-contrib/forgejo-cli/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/gentoo-crate-dist/forgejo-cli/releases/download/v${PV}/forgejo-cli-${PV}-crates.tar.xz
+"
+S="${WORKDIR}/forgejo-cli"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+	Apache-2.0 BSD-2 BSD ISC MIT MPL-2.0 Unicode-3.0 Unicode-DFS-2016
+	ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DOCS=( README.md )
+
+src_install() {
+	cargo_src_install
+
+	local target="$(cargo_target_dir)"
+	if ! tc-is-cross-compiler; then
+		edo "${target}"/fj completion bash > "${T}"/fj.bash
+		newbashcomp "${T}"/fj.bash fj
+		edo "${target}"/fj completion zsh > "${T}"/fj.zsh
+		newzshcomp "${T}"/fj.zsh _fj
+		edo "${target}"/fj completion fish > "${T}"/fj.fish
+		newfishcomp "${T}"/fj.fish fj.fish
+	else
+		ewarn "completion not installed because we're cross-compiling"
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.